%global forgeurl0 https://github.com/monero-project/monero
%global version0 0.18.3.4
%global tag0  v%{version0}

#vendor `supercop` lib lib does not have a build system

%global forgeurl1 https://github.com/monero-project/supercop
%global branch1 monero
%global commit1 633500ad8c8759995049ccd022107d1fa8a1bbc9

# vendor `trezor-common`: fedora package is incomplete and do not have all the required files

%global forgeurl2 https://github.com/trezor/trezor-common
%global commit2 fddc368605f4d9a1a1b6e592e42e76b05f01f92e

%forgemeta -a

Name:           monero-cli
Version:        %{version0}
Release:       %autorelease
Summary:        Monero: the secure, private, untraceable cryptocurrency


License:        BSD-2-Clause AND MIT
URL:            getmonero.org
Source0: %{forgesource0}
Source1: %{forgesource1}
Source2: %{forgesource2}

BuildRequires: gcc
BuildRequires: g++
BuildRequires: cmake
BuildRequires: pkgconf
BuildRequires: boost-devel
BuildRequires: openssl-devel
BuildRequires: zeromq-devel
BuildRequires: openpgm-devel
BuildRequires: unbound-devel
BuildRequires: libsodium-devel
BuildRequires: libunwind-devel
BuildRequires: xz-devel
BuildRequires: readline-devel
BuildRequires: expat-devel
BuildRequires: gtest-devel
BuildRequires: ccache
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: qt5-linguist
BuildRequires: hidapi-devel
BuildRequires: libusbx-devel
BuildRequires: protobuf-devel
BuildRequires: protobuf-compiler
BuildRequires: systemd-devel
BuildRequires: miniupnpc-devel
BuildRequires: randomx-devel
BuildRequires: rapidjson-devel
BuildRequires: ninja-build
#build system is superior
%description
Monero Means Money
Private, decentralized cryptocurrency that keeps your finances
confidential and secure.

%prep
%forgesetup -z 0
tar -xvf %{SOURCE1} -C ./external/supercop --strip-components=1
tar -xvf %{SOURCE2} -C ./external/trezor-common --strip-components=1

%build
set -m
#idk why, but without this line, fg complains there is no job control
%cmake -G Ninja -DMANUAL_SUBMODULES=1
%cmake_build

%install
%cmake_install

%check
%ctest

%changelog
%autochangelog
